Page MenuHomePhabricator

Replace TitleMoveComplet(e|ing) hooks
Closed, ResolvedPublic

Description

They use Revision objects, and also pass objects by reference that shouldn't be changed and are only passed for legacy reasons.

  • TitleMoveCompleting -> PageMoveCompleting
  • TitleMoveComplete -> PageMoveComplete

Use RevisionRecord instead of Revision
Don't pass by reference

Deployed extensions to update

TitleMoveCompleting

TitleMoveComplete

Core hard deprecation

Details

ProjectBranchLines +/-Subject
mediawiki/coremaster+18 -8
mediawiki/extensions/Translatemaster+77 -1
mediawiki/extensions/FlaggedRevsmaster+18 -6
mediawiki/extensions/Cognatemaster+18 -1
mediawiki/extensions/Wikibasemaster+34 -19
mediawiki/coremaster+2 -3
mediawiki/extensions/UploadWizardmaster+15 -6
mediawiki/extensions/GlobalUsagemaster+63 -3
mediawiki/extensions/LiquidThreadsmaster+20 -7
mediawiki/extensions/JsonConfigmaster+5 -3
mediawiki/extensions/Flowmaster+13 -11
mediawiki/extensions/EventBusmaster+16 -17
mediawiki/extensions/CirrusSearchmaster+20 -5
mediawiki/coremaster+61 -7
mediawiki/coremaster+2 -3
mediawiki/extensions/Flowmaster+11 -9
mediawiki/extensions/PageTriagemaster+54 -53
mediawiki/coremaster+77 -6
Show related patches Customize query in gerrit

Event Timeline

DannyS712 triaged this task as Medium priority.Apr 12 2020, 1:13 AM
DannyS712 created this task.
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Change 588128 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace TitleMoveCompleting and TitleMoveComplete hooks

https://gerrit.wikimedia.org/r/588128

Change 588128 merged by jenkins-bot:
[mediawiki/core@master] Replace TitleMoveCompleting and TitleMoveComplete hooks

https://gerrit.wikimedia.org/r/588128

DannyS712 updated the task description. (Show Details)Jun 10 2020, 9:03 PM

Change 604509 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Hooks: Update to use PageMoveComplete and PageSaveComplete

https://gerrit.wikimedia.org/r/604509

This comment was removed by DannyS712.

Change 604548 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Flow@master] Hooks: Use PageMoveComplete instead of TitleMoveCompleting

https://gerrit.wikimedia.org/r/604548

Change 604548 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Hooks: Use PageMoveComplete instead of TitleMoveCompleting

https://gerrit.wikimedia.org/r/604548

Change 604509 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Hooks: Update to use PageMoveComplete and PageSaveComplete

https://gerrit.wikimedia.org/r/604509

Change 605681 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate the TitleMoveCompleting hook

https://gerrit.wikimedia.org/r/605681

Change 605681 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate the TitleMoveCompleting hook

https://gerrit.wikimedia.org/r/605681

Change 606071 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] Add PageMoveCompleting hook, to replace TitleMoveCompleting

https://gerrit.wikimedia.org/r/606071

Change 606071 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] Add PageMoveCompleting hook, to replace TitleMoveCompleting

https://gerrit.wikimedia.org/r/606071

See T255608#6230485 for why we need the Completing hook in addition to the Complete hook.

DannyS712 updated the task description. (Show Details)Jun 20 2020, 9:42 AM

Change 606071 merged by jenkins-bot:
[mediawiki/core@master] Add PageMoveCompleting hook, to replace TitleMoveCompleting

https://gerrit.wikimedia.org/r/606071

Change 607398 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Flow@master] Hooks: Replace use of TitleMoveCompleting with PageMoveCompleting

https://gerrit.wikimedia.org/r/607398

Change 607856 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/JsonConfig@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/607856

Change 607859 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CirrusSearch@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/607859

To avoid merge conflicts with all of the updates in T250566: Replace PageContent(Insert|Save)Complete hooks, pausing for now

DannyS712 updated the task description. (Show Details)Jun 25 2020, 6:27 PM

Change 607859 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/607859

Change 607866 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/EventBus@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/607866

Change 607866 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/607866

DannyS712 updated the task description. (Show Details)Jun 25 2020, 8:21 PM

Change 607398 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Hooks: Replace use of TitleMoveCompleting with PageMoveCompleting

https://gerrit.wikimedia.org/r/607398

Change 607899 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate the TitleMoveCompleting hook

https://gerrit.wikimedia.org/r/607899

DannyS712 updated the task description. (Show Details)Jun 25 2020, 11:07 PM

Change 607900 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/LiquidThreads@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/607900

Change 607901 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/UploadWizard@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/607901

Change 607856 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/607856

DannyS712 updated the task description. (Show Details)Jun 25 2020, 11:16 PM
DannyS712 updated the task description. (Show Details)

Change 607903 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/GlobalUsage@master] Update hooks to use PageMoveComplete hook in MW 1.35+

https://gerrit.wikimedia.org/r/607903

Change 607899 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate the TitleMoveCompleting hook

https://gerrit.wikimedia.org/r/607899

Change 607900 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/607900

Change 607901 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/607901

Change 607903 merged by jenkins-bot:
[mediawiki/extensions/GlobalUsage@master] Update hooks to use PageMoveComplete hook in MW 1.35+

https://gerrit.wikimedia.org/r/607903

DannyS712 updated the task description. (Show Details)Jun 25 2020, 11:50 PM

Change 608111 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Wikibase@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/608111

Change 608112 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Translate@master] Remove use of TitleMoveComplete hook in MW 1.35+

https://gerrit.wikimedia.org/r/608112

DannyS712 updated the task description. (Show Details)Jun 27 2020, 12:58 AM

Update: patches now pending for translate and wikibase

For Cognate, waiting until after https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Cognate/+/607840/ (T250566) which will make it easier to have the hook registration vary based on version to maintain backwards compatibility

For flagged revs, waiting until after https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/FlaggedRevs/+/607716/ (T250566) to avoid merge conflicts and simplify the review queue, since the extension has no maintainer

Change 608483 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Cognate@master] Update hooks to use PageMoveComplete hook in MW 1.35+

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Cognate/ /608483

Change 608484 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/FlaggedRevs@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/FlaggedRevs/ /608484

DannyS712 updated the task description. (Show Details)Jun 30 2020, 4:01 PM

Change 608111 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/ /608111

DannyS712 updated the task description. (Show Details)Jun 30 2020, 7:18 PM

Change 608483 merged by jenkins-bot:
[mediawiki/extensions/Cognate@master] Update hooks to use PageMoveComplete hook in MW 1.35+

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Cognate/ /608483

Change 608484 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Update hooks to use PageMoveComplete

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/FlaggedRevs/ /608484

Change 608112 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Remove use of TitleMoveComplete hook in MW 1.35+

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Translate/ /608112

DannyS712 updated the task description. (Show Details)Jul 1 2020, 12:15 AM

Change 608676 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate the TitleMoveComplete hook

https://gerrit.wikimedia.org/r/c/mediawiki/core/ /608676

DannyS712 updated the task description. (Show Details)Jul 1 2020, 12:18 AM

Change 608676 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate the TitleMoveComplete and PageContent(Insert|Save)Complete hooks

https://gerrit.wikimedia.org/r/c/mediawiki/core/ /608676

DannyS712 closed this task as Resolved.Jul 1 2020, 3:08 AM
DannyS712 removed a project: Patch-For-Review.
DannyS712 updated the task description. (Show Details)